﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

'https://www.b4x.com/android/forum/threads/get-dates-for-last-week.28020/#post-162399
'1 -> Sunday, 7-> Saturday
Sub GetPreviousDay(DayOfWeek As Int) As Long
	Dim day As Int = DateTime.GetDayOfWeek(DateTime.Now)
	If day <> DayOfWeek Then
		day = (day + 7 - DayOfWeek) Mod 7
	Else
		day = 7	 
	End If
	Dim d As Long = DateTime.Add(DateTime.Now, 0, 0, -day)
	Return DateUtils.SetDate(DateTime.GetYear(d), DateTime.GetMonth(d), DateTime.GetDayOfMonth(d))
End Sub

'1 -> Sunday, 7-> Saturday
Sub GetNextDay(DayOfWeek As Int) As Long
	Dim day As Int = DateTime.GetDayOfWeek(DateTime.Now)
	If day <> DayOfWeek Then
		day = (day + 7 + DayOfWeek) Mod 7
	End If
	
	Dim d As Long = DateTime.Add(DateTime.Now, 0, 0, day)
	
	Return DateUtils.SetDate(DateTime.GetYear(d), DateTime.GetMonth(d), DateTime.GetDayOfMonth(d))
End Sub

'1 -> Sunday, 7-> Saturday
Sub SetNextDayAlarm(DayOfWeek As Int, Hour As Int, Minute As Int) As Long
	Dim day As Int = DateTime.GetDayOfWeek(DateTime.Now)
	If day >= DayOfWeek Then DayOfWeek = DayOfWeek + 7
	Dim d As Long = DateTime.Add(DateTime.Now, 0, 0, DayOfWeek - day)
	Return DateUtils.SetDateAndTime(DateTime.GetYear(d), DateTime.GetMonth(d), DateTime.GetDayOfMonth(d), Hour, Minute, 0)
End Sub